searchNodes=[{"doc":"Manage InfluxDB data.","ref":"FluxInfluxDB.html","title":"FluxInfluxDB","type":"module"},{"doc":"Delete points based on query. Parameters query_map - A querymap/0. Only accepts time filtering. measurement - The database&#39;s measurement. database - The database name. options - The InfluxDB API query options. Examples iex&gt; FluxInfluxDB.delete!(%{}, &quot;my_measurement&quot;, &quot;my_database&quot;) :ok","ref":"FluxInfluxDB.html#delete!/4","title":"FluxInfluxDB.delete!/4","type":"function"},{"doc":"Remove database and its data. Parameters database - The database name. Examples iex&gt; FluxInfluxDB.drop_database!(&quot;my_database&quot;) :ok","ref":"FluxInfluxDB.html#drop_database!/1","title":"FluxInfluxDB.drop_database!/1","type":"function"},{"doc":"Search for points based on query. Parameters query_map - A querymap/0. measurement - The database&#39;s measurement. database - The database name. options - The InfluxDB API query options. Examples iex&gt; FluxInfluxDB.write!(%{&quot;hello&quot; =&gt; &quot;world&quot;}, [], &quot;my_measurement&quot;, &quot;my_database&quot;) ...&gt; FluxInfluxDB.write!(%{&quot;hello&quot; =&gt; &quot;human&quot;}, [], &quot;my_measurement&quot;, &quot;my_database&quot;) ...&gt; query_map = %{&quot;where&quot; =&gt; %{&quot;hello&quot; =&gt; &quot;world&quot;}} ...&gt; [%{&quot;hello&quot; =&gt; name}] = FluxInfluxDB.read!(query_map, &quot;my_measurement&quot;, &quot;my_database&quot;) ...&gt; name &quot;world&quot;","ref":"FluxInfluxDB.html#read!/4","title":"FluxInfluxDB.read!/4","type":"function"},{"doc":"Write a point. If database does not exist, it will be created. Parameters payload - A map/0 with keys as String.t/0. tags_keys - The point tags keys. Must be a list/0 of String.t/0. measurement - The database&#39;s measurement. database - The database name. options - The InfluxDB API query options. Examples iex&gt; FluxInfluxDB.write!(%{&quot;hello&quot; =&gt; &quot;world&quot;}, [], &quot;my_measurement&quot;, &quot;my_database&quot;) :ok","ref":"FluxInfluxDB.html#write!/5","title":"FluxInfluxDB.write!/5","type":"function"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Changed: FluxInfluxDB.write!/5 now ignore keys with value as nil.","ref":"changelog.html#0-0-3-2020-02-29","title":"Changelog - 0.0.3 - 2020-02-29","type":"extras"},{"doc":"Changed: InfluxDB url now can be set at runtime. See mix release","ref":"changelog.html#0-0-2-2020-02-29","title":"Changelog - 0.0.2 - 2020-02-29","type":"extras"},{"doc":"Added: The project is available on GitLab and Hex. Notes: Minor changes (0.0.x) from the current version will be logged to this file. When a major change is released (0.x.0 or x.0.0), the changelog of the previous major change will be grouped as a single change.","ref":"changelog.html#0-0-1-2020-02-19","title":"Changelog - 0.0.1 - 2020-02-19","type":"extras"},{"doc":"Flux InfluxDB Exception module to improve error management.","ref":"readme.html","title":"Flux InfluxDB","type":"extras"},{"doc":"Add Flux InfluxDB as a dependency in your mix.exs file: def deps do [{:flux_influxdb, &quot;~&gt; 0.0.3&quot;}] end FluxInfluxDB describes how to manage InfluxDB data. For more information about the query map structure, check Query page.","ref":"readme.html#usage","title":"Flux InfluxDB - Usage","type":"extras"},{"doc":"import Config # Default values config :flux_influxdb, url: &quot;http://influxdb:8086&quot; Configuration Options :url - The InfluxDB URL.","ref":"readme.html#application-configuration","title":"Flux InfluxDB - Application Configuration","type":"extras"},{"doc":"Query","ref":"query.html","title":"Query","type":"extras"},{"doc":"Every key MUST be String.t/0. Do not use atom/0. fields Type: list/0 of String.t/0 Default: Empty list/0 If empty list/0, FluxInfluxDB will retrieve all fields. Otherwise, FluxInfluxDB will return all fields described, even if it does not exists (it will return with value null). from Type: InfluxDB time (String.t/0) Default: Empty String.t/0 If empty String.t/0, FluxInfluxDB will not restrict the query to a lower boundary of time. Otherwise, FluxInfluxDB will restrict the query based on value received. limit Type: integer/0 Default: 0 If 0, FluxInfluxDB will retrieve all data after offset. Otherwise, FluxInfluxDB will retrieve n data after offset. offset Type: integer/0 Default: 0 If 0, FluxInfluxDB will retrieve without any offset. Otherwise, FluxInfluxDB will retrieve after an offset of size n. order_asc Type: boolean/0 Default: false If true, FluxInfluxDB will retrieve data with ascendent order (From oldest to latest). Otherwise, FluxInfluxDB will retrieve data with descendant order (From latest to oldest). to Type: InfluxDB time (String.t/0) Default: Empty String.t/0 If empty String.t/0, FluxInfluxDB will not restrict the query to a upper boundary of time. Otherwise, FluxInfluxDB will restrict the query based on value received. where Type: list/0 of map/0, or map/0. Restrict the query based on statements. Using list/0, each element will be joined by an OR operator. Using map/0, each element will be joined by an AND operator. Each statement must contain the field name and the expected condition. A condition can be a specific value, such as: %{&quot;name&quot; =&gt; &quot;John Doe&quot;} A condition can be one of multiple values, such as: %{&quot;age&quot; =&gt; [18, 22, 30]} A condition can also be composed based on InfluxDB by using a map/0 with c and v keys. c is the condition and v is the value.","ref":"query.html#query-key-definitions","title":"Query - Query Key Definitions","type":"extras"},{"doc":"Complete query with simple AND %{ &quot;fields&quot; =&gt; [&quot;name&quot;, &quot;age&quot;, &quot;phone&quot;], &quot;where&quot; =&gt; %{ &quot;country&quot; =&gt; &quot;United States&quot;, &quot;name&quot; =&gt; %{&quot;c&quot; =&gt; &quot;=~&quot;, &quot;v&quot; =&gt; &quot;Alderson&quot;}, &quot;company&quot; =&gt; [&quot;evil corp&quot;, &quot;allsafe&quot;] }, &quot;from&quot; =&gt; &quot;now() - 100d&quot;, &quot;to&quot; =&gt; &quot;now()&quot;, &quot;order_asc&quot; =&gt; true, &quot;offset&quot; =&gt; 20, &quot;limit&quot; =&gt; 5 } Query with simple OR %{ &quot;where&quot; =&gt; [ %{&quot;job&quot; =&gt; &quot;Jedi&quot;}, %{&quot;name&quot; =&gt; &quot;Darth Vader&quot;} ] }","ref":"query.html#examples","title":"Query - Examples","type":"extras"}]